/**
 *  Copyright (c) 2015, Facebook, Inc.
 *  All rights reserved.
 *
 *  This source code is licensed under the BSD-style license found in the
 *  LICENSE file in the root directory of this source tree. An additional grant
 *  of patent rights can be found in the PATENTS file in the same directory.
 */

"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
var introspectionQuery = "\n  query IntrospectionTestQuery {\n    schemaType: __type(name: \"__Schema\") {\n      ...FullType\n    }\n    queryRootType: __type(name: \"QueryRoot\") {\n      ...FullType\n    }\n    __schema {\n      __typename\n      types {\n        ...FullType\n      }\n      directives {\n        __typename\n        name\n        args {\n          __typename\n          name\n          type { ...TypeRef }\n          defaultValue\n        }\n        onOperation\n        onFragment\n        onField\n      }\n    }\n  }\n\n  fragment FullType on __Type {\n    __typename\n    kind\n    name\n    fields {\n      __typename\n      name\n      args {\n        __typename\n        name\n        type { ...TypeRef }\n        defaultValue\n      }\n      type {\n        ...TypeRef\n      }\n      isDeprecated\n      deprecationReason\n    }\n    interfaces {\n      ...TypeRef\n    }\n    enumValues {\n      __typename\n      name\n      isDeprecated\n      deprecationReason\n    }\n  }\n\n  fragment TypeRef on __Type {\n    __typename\n    kind\n    name\n    ofType {\n      __typename\n      kind\n      name\n      ofType {\n        __typename\n        kind\n        name\n        ofType {\n          __typename\n          kind\n          name\n        }\n      }\n    }\n  }\n";
exports.introspectionQuery = introspectionQuery;